Last Comment Bug 755322 - All input types should not be suffering from value missing when the element is not mutable
: All input types should not be suffering from value missing when the element i...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 843903
Blocks: 754668
  Show dependency treegraph
 
Reported: 2012-05-15 08:38 PDT by Mounir Lamouri (:mounir)
Modified: 2013-02-22 03:22 PST (History)
2 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (3.04 KB, patch)
2012-05-15 09:09 PDT, Mounir Lamouri (:mounir)
bzbarsky: review+
mounir: checkin+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2012-05-15 08:38:19 PDT
We currently only check that for types with value mode being value.
Comment 1 Mounir Lamouri (:mounir) 2012-05-15 09:09:37 PDT
Created attachment 624065 [details] [diff] [review]
Patch v1

Tests will come with bug 754668 (I saw that bug while writings tests for bug 754668 ;))
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2012-05-15 11:33:36 PDT
Comment on attachment 624065 [details] [diff] [review]
Patch v1

r=me
Comment 3 Mounir Lamouri (:mounir) 2012-05-16 03:46:01 PDT
I had to fix a test in the patch I pushed and other tests will come with bug 754668.
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-05-16 19:38:08 PDT
Please follow the tree rules when landing on inbound (posting a changeset link, setting target milestone, etc.)

https://hg.mozilla.org/integration/mozilla-inbound/rev/cdf1b1234957

https://hg.mozilla.org/mozilla-central/rev/cdf1b1234957

Note You need to log in before you can comment on or make changes to this bug.